Subject: Allow ordering to be customizable (more easily) in repositories
Description

When using findAll() or findBy*() the order of the result cannot be customized without writing your own methods to inject the ordering.

It should be possible to define the (default) ordering to be used in your repository subclass by some easy way.

Associated revisions
Revision 7a5535df - 2010-09-27 12:41 - Karsten Dambekalns

[+FEATURE] FLOW3 (Persistence): Add default ordering for repositories

When using findAll() or findBy*() the order of the result cannot be
customized without writing your own methods to inject the ordering.

And if a repository wanted to apply some default ordering to it's own
methods, it still had to either use setOrderings() all over the place or
override createQuery() to centralize that.

Now you can use setDefaultOrderings() on any repository or define
$defaultOrderings in a repository directly. The setting will be picked
up by createQuery() right away.

Change-Id: I261aec2a5e024028bbbd0efad51a5953559f6c1f
Resolves: #9709

History
#1 - 2010-09-15 09:58 - Robert Lemke
- Status changed from New to Under Review

#2 - 2010-09-15 10:01 - Robert Lemke
- Status changed from Under Review to New

#3 - 2010-09-16 17:46 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 12

#4 - 2010-09-24 18:28 - Karsten Dambekalns
- Status changed from Accepted to Under Review
#5 - 2010-09-24 18:29 - Karsten Dambekalns

http://review.typo3.org/113

#6 - 2010-09-27 12:45 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"7a5535df5569d0fc57b09d6b9dae195e2bbc0671".
